Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class Recur

    java.lang.Object
      net.fortuna.ical4j.model.Recur

All Implemented Interfaces:
  Serializable

    public class Recur

extends Object
implements Serializable

Defines a recurrence.

Version:
  2.0
Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary
`static String` | `DAILY`
`static String` | `HOURLY`
`static String` | `MINUTELY`
`static String` | `MONTHLY`
`static String` | `SECONDLY`
`static String` | `WEEKLY`
`static String` | `YEARLY`

Constructor Summary
`Recur(String aValue)` Constructs a new instance from the specified string value.
`Recur(String frequency, Date until)`
`Recur(String frequency, int count)`

Method Summary
`int` | `getCount()`
`DateList` | `getDates(Date seed, Date periodStart, Date periodEnd, Value value)` Returns a list of start dates in the specified period represented by this recur.
`DateList` | `getDates(Date periodStart, Date periodEnd, Value value)` Returns a list of start dates in the specified period represented by this recur.
`DateList` | `getDates(Date seed, Period period, Value value)` Convenience method for retrieving recurrences in a specified period.
`WeekDayList` | `getDayList()`
`Map` | `getExperimentalValues()`
`String` | `getFrequency()`
`NumberList` | `getHourList()`
`int` | `getInterval()`
`NumberList` | `getMinuteList()`
`NumberList` | `getMonthDayList()`
`NumberList` | `getMonthList()`
`NumberList` | `getSecondList()`
`NumberList` | `getSetPosList()`
`Date` | `getUntil()`
`NumberList` | `getWeekNoList()`
`String` | `getWeekStartDay()`
`NumberList` | `getYearDayList()`
`void` | `setCount(int count)`
`void` | `setFrequency(String frequency)`
`void` | `setInterval(int interval)`
`void` | `setUntil(Date until)`
`void` | `setWeekStartDay(String weekStartDay)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SECONDLY

    public static final String SECONDLY

See Also:
  Constant Field Values

### MINUTELY

    public static final String MINUTELY

See Also:
  Constant Field Values

### HOURLY

    public static final String HOURLY

See Also:
  Constant Field Values

### DAILY

    public static final String DAILY

See Also:
  Constant Field Values

### WEEKLY

    public static final String WEEKLY

See Also:
  Constant Field Values

### MONTHLY

    public static final String MONTHLY

See Also:
  Constant Field Values

### YEARLY

    public static final String YEARLY

See Also:
  Constant Field Values

Constructor Detail

### Recur

    public Recur(String aValue)
          throws ParseException

  Constructs a new instance from the specified string value.

  Parameters:
    `aValue` - a string representation of a recurrence.
  Throws:
    `ParseException` - thrown when the specified string contains an invalid representation of an UNTIL date value
    `IllegalArgumentException` - if the `frequency` is `null` or unrecognized.

### Recur

    public Recur(String frequency,
                 Date until)

Parameters:
  `frequency` -
  `until` -
Throws:
  `IllegalArgumentException` - if the `frequency` is `null` or unrecognized.

### Recur

    public Recur(String frequency,
                 int count)

Parameters:
  `frequency` -
  `count` -
Throws:
  `IllegalArgumentException` - if the `frequency` is `null` or unrecognized.

Method Detail

### getDayList

    public final WeekDayList getDayList()

  Returns:
    Returns the dayList.

### getHourList

    public final NumberList getHourList()

  Returns:
    Returns the hourList.

### getMinuteList

    public final NumberList getMinuteList()

  Returns:
    Returns the minuteList.

### getMonthDayList

    public final NumberList getMonthDayList()

  Returns:
    Returns the monthDayList.

### getMonthList

    public final NumberList getMonthList()

  Returns:
    Returns the monthList.

### getSecondList

    public final NumberList getSecondList()

  Returns:
    Returns the secondList.

### getSetPosList

    public final NumberList getSetPosList()

  Returns:
    Returns the setPosList.

### getWeekNoList

    public final NumberList getWeekNoList()

  Returns:
    Returns the weekNoList.

### getYearDayList

    public final NumberList getYearDayList()

  Returns:
    Returns the yearDayList.

### getCount

    public final int getCount()

  Returns:
    Returns the count.

### getExperimentalValues

    public final Map getExperimentalValues()

  Returns:
    Returns the experimentalValues.

### getFrequency

    public final String getFrequency()

  Returns:
    Returns the frequency.

### getInterval

    public final int getInterval()

  Returns:
    Returns the interval.

### getUntil

    public final Date getUntil()

  Returns:
    Returns the until.

### getWeekStartDay

    public final String getWeekStartDay()

  Returns:
    Returns the weekStartDay.

### setWeekStartDay

    public final void setWeekStartDay(String weekStartDay)

  Parameters:
    `weekStartDay` - The weekStartDay to set.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### getDates

    public final DateList getDates(Date periodStart,
                                   Date periodEnd,
                                   Value value)

  Returns a list of start dates in the specified period represented by this recur. Any date fields not specified by this recur are retained from the period start, and as such you should ensure the period start is initialised correctly.

  Parameters:
    `periodStart` - the start of the period
    `periodEnd` - the end of the period
    `value` - the type of dates to generate (i.e. date/date-time)
  Returns:
    a list of dates

### getDates

    public final DateList getDates(Date seed,
                                   Period period,
                                   Value value)

  Convenience method for retrieving recurrences in a specified period.

  Parameters:
    `period` - the period of returned recurrence dates
    `value` - type of dates to generate
  Returns:
    a list of dates

### getDates

    public final DateList getDates(Date seed,
                                   Date periodStart,
                                   Date periodEnd,
                                   Value value)

  Returns a list of start dates in the specified period represented by this recur. This method includes a base date argument, which indicates the start of the fist occurrence of this recurrence. The base date is used to inject default values to return a set of dates in the correct format. For example, if the search start date (start) is Wed, Mar 23, 12:19PM, but the recurrence is Mon - Fri, 9:00AM - 5:00PM, the start dates returned should all be at 9:00AM, and not 12:19PM.

  Parameters:
    `seed` - the start date of this Recurrence's first instance
    `periodStart` - the start of the period
    `periodEnd` - the end of the period
    `value` - the type of dates to generate (i.e. date/date-time)
  Returns:
    a list of dates represented by this recur instance

### setCount

    public final void setCount(int count)

  Parameters:
    `count` - The count to set.

### setFrequency

    public final void setFrequency(String frequency)

  Parameters:
    `frequency` - The frequency to set.
  Throws:
    `IllegalArgumentException` - if the `frequency` is `null` or unrecognized.

### setInterval

    public final void setInterval(int interval)

  Parameters:
    `interval` - The interval to set.

### setUntil

    public final void setUntil(Date until)

  Parameters:
    `until` - The until to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.